ECLIPSE(1)

NAME
Eclipse - GUI version of the simulation SUMO

SYNOPSIS
sumo-gui [OPTION]*

DESCRIPTION
Eclipse SUMO GUI 1.25.0

    Copyright (C) 2001-2025 German Aerospace Center (DLR) and others; https://sumo.dlr.de

GUI version of the microscopic, multi-modal traffic simulation SUMO.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --net-file FILE
    Load road network description from FILE

-r, --route-files FILE
    Load routes descriptions from FILE(s)

-a, --additional-files FILE
    Load further descriptions from FILE(s)

-w, --weight-files FILE
    Load edge/lane weights for online rerouting from FILE

-x, --weight-attribute STR
    Name of the xml attribute which gives the edge weight

--load-state FILE
    Loads a network state from FILE

--load-state.offset TIME
    Shifts all times loaded from a saved state by the given offset

--load-state.remove-vehicles STR[]
    Removes vehicles with the given IDs from the loaded state

--junction-taz
    Initialize a TAZ for every junction to use attributes toJunction and fromJunction

  Output Options:

--write-license
    Include license info into every output file

--write-metadata
    Write parsable metadata (configuration etc.) instead of comments

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

--output.compression STR
    Defines the standard compression algorithm (currently only for parquet output)

--output.format STR
    Defines the standard output format if not derivable from the file name ('xml', 'csv', 'parquet')

--output.column-header STR
    How to derive column headers from attribute names ('none', 'tag', 'auto', 'plain')

--output.column-separator STR
    Separator in CSV output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

--netstate-dump FILE
    Save complete network states into FILE

--netstate-dump.empty-edges
    Write also empty edges completely when dumping

--netstate-dump.precision INT
    Write positions and speeds with the given precision (default 2)

--emission-output FILE
    Save the emission values of each vehicle

--emission-output.precision INT
    Write emission values with the given precision (default 2)

--emission-output.geo
    Save the positions in emission output using geo-coordinates (lon/lat)

--emission-output.step-scaled
    Write emission values scaled to the step length rather than as per-second values

--emission-output.attributes STR[]
    List attributes that should be included in the emission output

--battery-output FILE
    Save the battery values of each vehicle

--battery-output.precision INT
    Write battery values with the given precision (default 2)

--elechybrid-output FILE
    Save the elecHybrid values of each vehicle

--elechybrid-output.precision INT
    Write elecHybrid values with the given precision (default 2)

--elechybrid-output.aggregated
    Write elecHybrid values into one aggregated file

--chargingstations-output FILE
    Write data of charging stations

--chargingstations-output.aggregated
    Write aggregated charging event data instead of single time steps

--chargingstations-output.aggregated.write-unfinished
    Write aggregated charging event data for vehicles which have not arrived at simulation end

--overheadwiresegments-output FILE
    Write data of overhead wire segments

--substations-output FILE
    Write data of electrical substation stations

--substations-output.precision INT
    Write substation values with the given precision (default 2)

--fcd-output FILE
    Save the Floating Car Data

--fcd-output.geo
    Save the Floating Car Data using geo-coordinates (lon/lat)

--fcd-output.signals
    Add the vehicle signal state to the FCD output (brake lights etc.)

--fcd-output.distance
    Add kilometrage to the FCD output (linear referencing)

--fcd-output.acceleration
    Add acceleration to the FCD output

--fcd-output.max-leader-distance FLOAT
    Add leader vehicle information to the FCD output (within the given distance)

--fcd-output.params STR[]
    Add generic parameter values to the FCD output

--fcd-output.filter-edges.input-file FILE
    Restrict fcd output to the edge selection from the given input file

--fcd-output.attributes STR[]
    List attributes that should be included in the FCD output

--fcd-output.filter-shapes STR[]
    List shape names that should be used to filter the FCD output

--person-fcd-output FILE
    Save fcd for persons and container to separate FILE

--device.ssm.filter-edges.input-file FILE
    Restrict SSM device output to the edge selection from the given input file

--full-output FILE
    Save a lot of information for each timestep (very redundant)

--queue-output FILE
    Save the vehicle queues at the junctions (experimental)

--queue-output.period TIME
    Save vehicle queues with the given period

--vtk-output FILE
    Save complete vehicle positions inclusive speed values in the VTK Format (usage: /path/out will produce /path/out_$TIMESTEP$.vtp files)

--amitran-output FILE
    Save the vehicle trajectories in the Amitran format

--summary-output FILE
    Save aggregated vehicle departure info into FILE

--summary-output.period TIME
    Save summary-output with the given period

--person-summary-output FILE
    Save aggregated person counts into FILE

--tripinfo-output FILE
    Save single vehicle trip info into FILE

--tripinfo-output.write-unfinished
    Write tripinfo output for vehicles which have not arrived at simulation end

--tripinfo-output.write-undeparted
    Write tripinfo output for vehicles which have not departed at simulation end because of depart delay

--personinfo-output FILE
    Save personinfo and containerinfo to separate FILE

--vehroute-output FILE
    Save single vehicle route info into FILE

--vehroute-output.exit-times
    Write the exit times for all edges

--vehroute-output.last-route
    Write the last route only

--vehroute-output.sorted
    Sorts the output by departure time

--vehroute-output.dua
    Write the output in the duarouter alternatives style

--vehroute-output.cost
    Write costs for all routes

--vehroute-output.intended-depart
    Write the output with the intended instead of the real departure time

--vehroute-output.route-length
    Include total route length in the output

--vehroute-output.write-unfinished
    Write vehroute output for vehicles which have not arrived at simulation end

--vehroute-output.skip-ptlines
    Skip vehroute output for public transport vehicles

--vehroute-output.incomplete
    Include invalid routes and route stubs in vehroute output

--vehroute-output.stop-edges
    Include information about edges between stops

--vehroute-output.speedfactor
    Write the vehicle speedFactor (defaults to 'true' if departSpeed is written)

--vehroute-output.internal
    Include internal edges in the output

--personroute-output FILE
    Save person and container routes to separate FILE

--link-output FILE
    Save links states into FILE

--railsignal-block-output FILE
    Save railsignal-blocks into FILE

--railsignal-vehicle-output FILE
    Record entry and exit times of vehicles for railsignal blocks into FILE

--bt-output FILE
    Save bluetooth visibilities into FILE (in conjunction with device.btreceiver and device.btsender)

--lanechange-output FILE
    Record lane changes and their motivations for all vehicles into FILE

--lanechange-output.started
    Record start of lane change manoeuvres

--lanechange-output.ended
    Record end of lane change manoeuvres

--lanechange-output.xy
    Record coordinates of lane change manoeuvres

--stop-output FILE
    Record stops and loading/unloading of passenger and containers for all vehicles into FILE

--stop-output.write-unfinished
    Write stop output for stops which have not ended at simulation end

--collision-output FILE
    Write collision information into FILE

--edgedata-output FILE
    Write aggregated traffic statistics for all edges into FILE

--lanedata-output FILE
    Write aggregated traffic statistics for all lanes into FILE

--statistic-output FILE
    Write overall statistics into FILE

--deadlock-output FILE
    Write reports on deadlocks FILE

--save-state.times STR[]
    Use TIME[] as times at which a network state written

--save-state.period TIME
    save state repeatedly after TIME period

--save-state.period.keep INT
    Keep only the last INT periodic state files

--save-state.prefix FILE
    Prefix for network states

--save-state.suffix STR
    Suffix for network states (.xml.gz or .xml)

--save-state.files FILE
    Files for network states

--save-state.rng
    Save random number generator states

--save-state.transportables
    Save person and container states (experimental)

--save-state.constraints
    Save rail signal constraints

--save-state.precision INT
    Write internal state values with the given precision (default 2)

  Time Options:

-b, --begin TIME
    Defines the begin time in seconds; The simulation starts at this time

-e, --end TIME
    Defines the end time in seconds; The simulation ends at this time

--step-length TIME
    Defines the step duration in seconds

  Processing Options:

--step-method.ballistic
    Whether to use ballistic method for the positional update of vehicles (default is a semi-implicit Euler method).

--extrapolate-departpos
    Whether vehicles that depart between simulation steps should extrapolate the depart position

--threads INT
    Defines the number of threads for parallel simulation

--lateral-resolution FLOAT
    Defines the resolution in m when handling lateral positioning within a lane (with -1 all vehicles drive at the center of their lane

-s, --route-steps TIME
    Load routes for the next number of seconds ahead

--no-internal-links
    Disable (junction) internal links

--ignore-junction-blocker TIME
    Ignore vehicles which block the junction after they have been standing for SECONDS (-1 means never ignore)

--ignore-route-errors
    Do not check whether routes are connected

--ignore-accidents
    Do not check whether accidents occur

--collision.action STR
    How to deal with collisions: [none,warn,teleport,remove]

--intermodal-collision.action STR
    How to deal with collisions between vehicle and pedestrian: [none,warn,teleport,remove]

--collision.stoptime TIME
    Let vehicle stop for TIME before performing collision.action (except for action 'none')

--intermodal-collision.stoptime TIME
    Let vehicle stop for TIME before performing intermodal-collision.action (except for action 'none')

--collision.check-junctions
    Enables collisions checks on junctions

--collision.check-junctions.mingap FLOAT
    Increase or decrease sensitivity for junction collision check

--collision.mingap-factor FLOAT
    Sets the fraction of minGap that must be maintained to avoid collision detection. If a negative value is given, the carFollowModel parameter is used

--keep-after-arrival TIME
    After a vehicle arrives, keep it in memory for the given TIME (for TraCI access)

--max-num-vehicles INT
    Delay vehicle insertion to stay within the given maximum number

--max-num-persons INT
    Delay person insertion to stay within the given maximum number

--max-num-teleports INT
    Abort the simulation if the given maximum number of teleports is exceeded

--scale FLOAT
    Scale demand by the given factor (by discarding or duplicating vehicles)

--scale-suffix STR
    Suffix to be added when creating ids for cloned vehicles

--time-to-teleport TIME
    Specify how long a vehicle may wait until being teleported, defaults to 300, non-positive values disable teleporting

--time-to-teleport.highways TIME
    The waiting time after which vehicles on a fast road (speed > 69km/h) are teleported if they are on a non-continuing lane

--time-to-teleport.highways.min-speed FLOAT
    The waiting time after which vehicles on a fast road (default: speed > 69km/h) are teleported if they are on a non-continuing lane

--time-to-teleport.disconnected TIME
    The waiting time after which vehicles with a disconnected route are teleported. Negative values disable teleporting

--time-to-teleport.remove
    Whether vehicles shall be removed after waiting too long instead of being teleported

--time-to-teleport.remove-constraint
    Whether rail-signal-constraint based deadlocks shall be cleared by removing a constraint

--time-to-teleport.ride TIME
    The waiting time after which persons / containers waiting for a pickup are teleported. Negative values disable teleporting

--time-to-teleport.bidi TIME
    The waiting time after which vehicles on bidirectional edges are teleported

--time-to-teleport.railsignal-deadlock TIME
    The waiting time after which vehicles in a rail-signal based deadlock are teleported

--waiting-time-memory TIME
    Length of time interval, over which accumulated waiting time is taken into account (default is 100s.)

--startup-wait-threshold TIME
    Minimum consecutive waiting time before applying startupDelay

--max-depart-delay TIME
    How long vehicles wait for departure before being skipped, defaults to -1 which means vehicles are never skipped

--sloppy-insert
    Whether insertion on an edge shall not be repeated in same step once failed

--eager-insert
    Whether each vehicle is checked separately for insertion on an edge

--emergency-insert
    Allow inserting a vehicle in a situation which requires emergency braking

--insertion-checks STR
    Override default value for vehicle attribute insertionChecks

--random-depart-offset TIME
    Each vehicle receives a random offset to its depart value drawn uniformly from [0, TIME]

--lanechange.duration TIME
    Duration of a lane change maneuver (default 0)

--lanechange.overtake-right
    Whether overtaking on the right on motorways is permitted

--tls.all-off
    Switches off all traffic lights.

--tls.actuated.show-detectors
    Sets default visibility for actuation detectors

--tls.actuated.jam-threshold FLOAT
    Sets default jam-threshold parameter for all actuation detectors

--tls.actuated.detector-length FLOAT
    Sets default detector length parameter for all actuation detectors

--tls.delay_based.detector-range FLOAT
    Sets default range for detecting delayed vehicles

--tls.yellow.min-decel FLOAT
    Minimum deceleration when braking at yellow

--railsignal-moving-block
    Let railsignals operate in moving-block mode by default

--railsignal.max-block-length FLOAT
    Do not build blocks longer than FLOAT and issue a warning instead

--railsignal.default-classes STR[]
    List vehicle classes that uses block-based insertion checks even when the network has no rail signals for them

--time-to-impatience TIME
    Specify how long a vehicle may wait until impatience grows from 0 to 1, defaults to 300, non-positive values disable impatience growth

--default.departspeed STR
    Select default depart speed

--default.departlane STR
    Select default depart lane

--default.action-step-length FLOAT
    Length of the default interval length between action points for the car-following and lane-change models (in seconds). If not specified, the simulation step-length is used per default. Vehicle- or VType-specific settings override the default. Must be a multiple of the simulation step-length.

--default.carfollowmodel STR
    Select default car following model (Krauss, IDM, ...)

--default.speeddev FLOAT
    Select default speed deviation. A negative value implies vClass specific defaults (0.1 for the default passenger class)

--default.emergencydecel STR
    Select default emergencyDecel value among ('decel', 'default', FLOAT) which sets the value either to the same as the deceleration value, a vClass-class specific default or the given FLOAT in m/s^2

--overhead-wire.solver
    Use Kirchhoff's laws for solving overhead wire circuit

--overhead-wire.recuperation
    Enable recuperation from the vehicle equipped with elecHybrid device into the overhead wire.

--overhead-wire.substation-current-limits
    Enable current limits of traction substation during solving the overhead wire electrical circuit.

--emergencydecel.warning-threshold FLOAT
    Sets the fraction of emergency decel capability that must be used to trigger a warning.

--parking.maneuver
    Whether parking simulation includes maneuvering time and associated lane blocking

--use-stop-ended
    Override stop until times with stop ended times when given

--use-stop-started
    Override stop arrival times with stop started times when given

--pedestrian.model STR
    Select among pedestrian models ['nonInteracting', 'striping', 'jupedsim', 'remote']

--pedestrian.timegap-crossing FLOAT
    Minimal acceptable gap (in seconds) between two vehicles before starting to cross

--pedestrian.striping.stripe-width FLOAT
    Width of parallel stripes for segmenting a sidewalk (meters) for use with model 'striping'

--pedestrian.striping.dawdling FLOAT
    Factor for random slow-downs [0,1] for use with model 'striping'

--pedestrian.striping.mingap-to-vehicle FLOAT
    Minimal gap / safety buffer (in meters) from a pedestrian to another vehicle for use with model 'striping'

--pedestrian.striping.jamtime TIME
    Time in seconds after which pedestrians start squeezing through a jam when using model 'striping' (non-positive values disable squeezing)

--pedestrian.striping.jamtime.crossing TIME
    Time in seconds after which pedestrians start squeezing through a jam while on a pedestrian crossing when using model 'striping' (non-positive values disable squeezing)

--pedestrian.striping.jamtime.narrow TIME
    Time in seconds after which pedestrians start squeezing through a jam while on a narrow lane when using model 'striping'

--pedestrian.striping.jamfactor FLOAT
    Factor for reducing speed of pedestrian in jammed state

--pedestrian.striping.reserve-oncoming FLOAT
    Fraction of stripes to reserve for oncoming pedestrians

--pedestrian.striping.reserve-oncoming.junctions FLOAT
    Fraction of stripes to reserve for oncoming pedestrians on crossings and walkingareas

--pedestrian.striping.reserve-oncoming.max FLOAT
    Maximum width in m to reserve for oncoming pedestrians

--pedestrian.striping.legacy-departposlat
    Interpret departPosLat for walks in legacy style

--pedestrian.striping.walkingarea-detail INT
    Generate INT intermediate points to smooth out lanes within the walkingarea

--ride.stop-tolerance FLOAT
    Tolerance to apply when matching pedestrian and vehicle positions on boarding at individual stops

--mapmatch.distance FLOAT
    Maximum distance when mapping input coordinates (fromXY etc.) to the road network

--mapmatch.junctions
    Match positions to junctions instead of edges

--mapmatch.taz
    Match positions to taz instead of edges

--weights.turnaround-penalty FLOAT
    Apply the given time penalty when computing routing costs for turnaround internal lanes

--weights.reversal-penalty FLOAT
    Apply the given time penalty when computing routing costs for train reversal. Negative values disable reversal

--persontrip.walk-opposite-factor FLOAT
    Use FLOAT as a factor on walking speed against vehicle traffic direction

  Routing Options:

--routing-algorithm STR
    Select among routing algorithms ['dijkstra', 'astar', 'CH', 'CHWrapper']

--weights.random-factor FLOAT
    Edge weights for routing are dynamically disturbed by a random factor drawn uniformly from [1,FLOAT)

--weights.minor-penalty FLOAT
    Apply the given time penalty when computing minimum routing costs for minor-link internal lanes

--weights.tls-penalty FLOAT
    Apply scaled travel time penalties based on green split when computing minimum routing costs for internal lanes at traffic lights

--weights.priority-factor FLOAT
    Consider edge priorities in addition to travel times, weighted by factor

--weights.separate-turns FLOAT
    Distinguish travel time by turn direction and shift a fraction of the estimated time loss ahead of the intersection onto the internal edges

--astar.all-distances FILE
    Initialize lookup table for astar from the given file (generated by marouter --all-pairs-output)

--astar.landmark-distances FILE
    Initialize lookup table for astar ALT-variant from the given file

--persontrip.walkfactor FLOAT
    Use FLOAT as a factor on pedestrian maximum speed during intermodal routing

--persontrip.transfer.car-walk STR[]
    Where are mode changes from car to walking allowed (possible values: 'parkingAreas', 'ptStops', 'allJunctions' and combinations)

--persontrip.transfer.taxi-walk STR[]
    Where taxis can drop off customers ('allJunctions, 'ptStops', 'parkingAreas')

--persontrip.transfer.walk-taxi STR[]
    Where taxis can pick up customers ('allJunctions, 'ptStops', 'parkingAreas')

--persontrip.default.group STR
    When set, trips between the same origin and destination will share a taxi by default

--persontrip.taxi.waiting-time TIME
    Estimated time for taxi pickup

--persontrip.ride-public-line
    Only use the intended public transport line rather than any alternative line that stops at the destination

--railway.max-train-length FLOAT
    Use FLOAT as a maximum train length when initializing the railway router

--replay-rerouting
    Replay exact rerouting sequence from vehroute-output

--device.rerouting.probability FLOAT
    The probability for a vehicle to have a 'rerouting' device

--device.rerouting.explicit STR[]
    Assign a 'rerouting' device to named vehicles

--device.rerouting.deterministic
    The 'rerouting' devices are set deterministic using a fraction of 1000

--device.rerouting.period TIME
    The period with which the vehicle shall be rerouted

--device.rerouting.pre-period TIME
    The rerouting period before depart

--device.rerouting.adaptation-weight FLOAT
    The weight of prior edge weights for exponential moving average

--device.rerouting.adaptation-steps INT
    The number of steps for moving average weight of prior edge weights

--device.rerouting.adaptation-interval TIME
    The interval for updating the edge weights

--device.rerouting.threshold.factor FLOAT
    Only reroute if the new route is faster than the current route by the given factor

--device.rerouting.threshold.constant TIME
    Only reroute if the new route is faster than the current route by the given TIME

--device.rerouting.with-taz
    Use zones (districts) as routing startand endpoints

--device.rerouting.mode STR
    Set routing flags (8 ignores temporary blockages)

--device.rerouting.init-with-loaded-weights
    Use weight files given with option --weight-files for initializing edge weights

--device.rerouting.threads INT
    The number of parallel execution threads used for rerouting

--device.rerouting.synchronize
    Let rerouting happen at the same time for all vehicles

--device.rerouting.railsignal
    Allow rerouting triggered by rail signals.

--device.rerouting.bike-speeds
    Compute separate average speeds for bicycles

--device.rerouting.output FILE
    Save adapting weights to FILE

--person-device.rerouting.probability FLOAT
    The probability for a person to have a 'rerouting' device

--person-device.rerouting.explicit STR[]
    Assign a 'rerouting' device to named persons

--person-device.rerouting.deterministic
    The 'rerouting' devices are set deterministic using a fraction of 1000

--person-device.rerouting.period TIME
    The period with which the person shall be rerouted

--person-device.rerouting.mode STR
    Set routing flags (8 ignores temporary blockages)

--person-device.rerouting.scope STR
    Which part of the person plan is to be replaced (stage, sequence, or trip)

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

--xml-validation.net STR
    Set schema validation scheme of SUMO network inputs ("never", "local", "auto" or "always")

--xml-validation.routes STR
    Set schema validation scheme of SUMO route inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

--log.timestamps
    Writes timestamps in front of all messages

--log.processid
    Writes process ID in front of all messages

--language STR
    Language to use in messages

--duration-log.disable
    Disable performance reports for individual simulation steps

-t, --duration-log.statistics
    Enable statistics on vehicle trips

--no-step-log
    Disable console output of current simulation step

--step-log.period INT
    Number of simulation steps between step-log outputs

  Emissions Options:

--emissions.volumetric-fuel
    Return fuel consumption values in (legacy) unit l instead of mg

--phemlight-path FILE
    Determines where to load PHEMlight definitions from

--phemlight-year INT
    Enable fleet age modelling with the given reference year in PHEMlight5

--phemlight-temperature FLOAT
    Set ambient temperature to correct NOx emissions in PHEMlight5

--device.emissions.probability FLOAT
    The probability for a vehicle to have a 'emissions' device

--device.emissions.explicit STR[]
    Assign a 'emissions' device to named vehicles

--device.emissions.deterministic
    The 'emissions' devices are set deterministic using a fraction of 1000

--device.emissions.begin STR
    Recording begin time for emission-data

--device.emissions.period STR
    Recording period for emission-output

  Communication Options:

--device.btreceiver.probability FLOAT
    The probability for a vehicle to have a 'btreceiver' device

--device.btreceiver.explicit STR[]
    Assign a 'btreceiver' device to named vehicles

--device.btreceiver.deterministic
    The 'btreceiver' devices are set deterministic using a fraction of 1000

--device.btreceiver.range FLOAT
    The range of the bt receiver

--device.btreceiver.all-recognitions
    Whether all recognition point shall be written

--device.btreceiver.offtime FLOAT
    The offtime used for calculating detection probability (in seconds)

--device.btsender.probability FLOAT
    The probability for a vehicle to have a 'btsender' device

--device.btsender.explicit STR[]
    Assign a 'btsender' device to named vehicles

--device.btsender.deterministic
    The 'btsender' devices are set deterministic using a fraction of 1000

--person-device.btsender.probability FLOAT
    The probability for a person to have a 'btsender' device

--person-device.btsender.explicit STR[]
    Assign a 'btsender' device to named persons

--person-device.btsender.deterministic
    The 'btsender' devices are set deterministic using a fraction of 1000

--person-device.btreceiver.probability FLOAT
    The probability for a person to have a 'btreceiver' device

--person-device.btreceiver.explicit STR[]
    Assign a 'btreceiver' device to named persons

--person-device.btreceiver.deterministic
    The 'btreceiver' devices are set deterministic using a fraction of 1000

  Battery Options:

--device.stationfinder.probability FLOAT
    The probability for a vehicle to have a 'stationfinder' device

--device.stationfinder.explicit STR[]
    Assign a 'stationfinder' device to named vehicles

--device.stationfinder.deterministic
    The 'stationfinder' devices are set deterministic using a fraction of 1000

--device.stationfinder.rescueTime TIME
    Time to wait for a rescue vehicle on the road side when the battery is empty

--device.stationfinder.rescueAction STR
    How to deal with a vehicle which has to stop due to low battery: [none, remove, tow]

--device.stationfinder.reserveFactor FLOAT
    Scale battery need with this factor to account for unexpected traffic situations

--device.stationfinder.emptyThreshold FLOAT
    Battery percentage to go into rescue mode

--device.stationfinder.radius TIME
    Search radius in travel time seconds

--device.stationfinder.maxEuclideanDistance FLOAT
    Euclidean search distance in meters (a negative value disables the restriction)

--device.stationfinder.repeat TIME
    When to trigger a new search if no station has been found

--device.stationfinder.maxChargePower FLOAT
    The maximum charging speed of the vehicle battery

--device.stationfinder.chargeType STR
    Type of energy transfer

--device.stationfinder.waitForCharge TIME
    After this waiting time vehicle searches for a new station when the initial one is blocked

--device.stationfinder.minOpportunityDuration TIME
    Only stops with a predicted duration of at least the given threshold are considered for opportunistic charging.

--device.stationfinder.saturatedChargeLevel FLOAT
    Target state of charge after which the vehicle stops charging

--device.stationfinder.needToChargeLevel FLOAT
    State of charge the vehicle begins searching for charging stations

--device.stationfinder.opportunisticChargeLevel FLOAT
    State of charge below which the vehicle may look for charging opportunities along its planned stops

--device.stationfinder.replacePlannedStop FLOAT
    Share of stopping time of the next independently planned stop to use for charging instead

--device.stationfinder.maxDistanceToReplacedStop FLOAT
    Maximum distance in meters from the original stop to be replaced by the charging stop

--device.stationfinder.chargingStrategy STR
    Set a charging strategy to alter time and charging load from the set: [none, balanced, latest]

--device.stationfinder.checkEnergyForRoute
    Only search for charging stations if the battery charge is not estimated sufficient to complete the current route

--device.battery.probability FLOAT
    The probability for a vehicle to have a 'battery' device

--device.battery.explicit STR[]
    Assign a 'battery' device to named vehicles

--device.battery.deterministic
    The 'battery' devices are set deterministic using a fraction of 1000

--device.battery.track-fuel
    Track fuel consumption for non-electric vehicles

  Example Device Options:

--device.example.probability FLOAT
    The probability for a vehicle to have a 'example' device

--device.example.explicit STR[]
    Assign a 'example' device to named vehicles

--device.example.deterministic
    The 'example' devices are set deterministic using a fraction of 1000

--device.example.parameter FLOAT
    An exemplary parameter which can be used by all instances of the example device

  SSM Device Options:

--device.ssm.probability FLOAT
    The probability for a vehicle to have a 'ssm' device

--device.ssm.explicit STR[]
    Assign a 'ssm' device to named vehicles

--device.ssm.deterministic
    The 'ssm' devices are set deterministic using a fraction of 1000

--device.ssm.measures STR
    Specifies which measures will be logged (as a space or comma-separated sequence of IDs in ('TTC', 'DRAC', 'PET', 'PPET', 'MDRAC'))

--device.ssm.thresholds STR
    Specifies space or comma-separated thresholds corresponding to the specified measures (see documentation and watch the order!). Only events exceeding the thresholds will be logged.

--device.ssm.trajectories
    Specifies whether trajectories will be logged (if false, only the extremal values and times are reported).

--device.ssm.range FLOAT
    Specifies the detection range in meters. For vehicles below this distance from the equipped vehicle, SSM values are traced.

--device.ssm.extratime FLOAT
    Specifies the time in seconds to be logged after a conflict is over. Required >0 if PET is to be calculated for crossing conflicts.

--device.ssm.mdrac.prt FLOAT
    Specifies the perception reaction time for MDRAC computation.

--device.ssm.file STR
    Give a global default filename for the SSM output

--device.ssm.geo
    Whether to use coordinates of the original reference system in output

--device.ssm.write-positions
    Whether to write positions (coordinates) for each timestep

--device.ssm.write-lane-positions
    Whether to write lanes and their positions for each timestep

--device.ssm.write-na
    Whether to write conflict outputs with no data as NA values or skip it

--device.ssm.exclude-conflict-types STR
    Which conflicts will be excluded from the log according to the conflict type they have been classified (combination of values in 'ego', 'foe' , '', any numerical valid conflict type code). An empty value will log all and 'ego'/'foe' refer to a certain conflict type subset.

  ToC Device Options:

--device.toc.probability FLOAT
    The probability for a vehicle to have a 'toc' device

--device.toc.explicit STR[]
    Assign a 'toc' device to named vehicles

--device.toc.deterministic
    The 'toc' devices are set deterministic using a fraction of 1000

--device.toc.manualType STR
    Vehicle type for manual driving regime.

--device.toc.automatedType STR
    Vehicle type for automated driving regime.

--device.toc.responseTime FLOAT
    Average response time needed by a driver to take back control.

--device.toc.recoveryRate FLOAT
    Recovery rate for the driver's awareness after a ToC.

--device.toc.lcAbstinence FLOAT
    Attention level below which a driver restrains from performing lane changes (value in [0,1]).

--device.toc.initialAwareness FLOAT
    Average awareness a driver has initially after a ToC (value in [0,1]).

--device.toc.mrmDecel FLOAT
    Deceleration rate applied during a 'minimum risk maneuver'.

--device.toc.dynamicToCThreshold FLOAT
    Time, which the vehicle requires to have ahead to continue in automated mode. The default value of 0 indicates no dynamic triggering of ToCs.

--device.toc.dynamicMRMProbability FLOAT
    Probability that a dynamically triggered TOR is not answered in time.

--device.toc.mrmKeepRight
    If true, the vehicle tries to change to the right during an MRM.

--device.toc.mrmSafeSpot STR
    If set, the vehicle tries to reach the given named stopping place during an MRM.

--device.toc.mrmSafeSpotDuration FLOAT
    Duration the vehicle stays at the safe spot after an MRM.

--device.toc.maxPreparationAccel FLOAT
    Maximal acceleration that may be applied during the ToC preparation phase.

--device.toc.ogNewTimeHeadway FLOAT
    Timegap for ToC preparation phase.

--device.toc.ogNewSpaceHeadway FLOAT
    Additional spacing for ToC preparation phase.

--device.toc.ogMaxDecel FLOAT
    Maximal deceleration applied for establishing increased gap in ToC preparation phase.

--device.toc.ogChangeRate FLOAT
    Rate of adaptation towards the increased headway during ToC preparation.

--device.toc.useColorScheme
    Whether a coloring scheme shall by applied to indicate the different ToC stages.

--device.toc.file STR
    Switches on output by specifying an output filename.

  Driver State Device Options:

--device.driverstate.probability FLOAT
    The probability for a vehicle to have a 'driverstate' device

--device.driverstate.explicit STR[]
    Assign a 'driverstate' device to named vehicles

--device.driverstate.deterministic
    The 'driverstate' devices are set deterministic using a fraction of 1000

--device.driverstate.initialAwareness FLOAT
    Initial value assigned to the driver's awareness.

--device.driverstate.errorTimeScaleCoefficient FLOAT
    Time scale for the error process.

--device.driverstate.errorNoiseIntensityCoefficient FLOAT
    Noise intensity driving the error process.

--device.driverstate.speedDifferenceErrorCoefficient FLOAT
    General scaling coefficient for applying the error to the perceived speed difference (error also scales with distance).

--device.driverstate.headwayErrorCoefficient FLOAT
    General scaling coefficient for applying the error to the perceived distance (error also scales with distance).

--device.driverstate.freeSpeedErrorCoefficient FLOAT
    General scaling coefficient for applying the error to the vehicle's own speed when driving without a leader (error also scales with own speed).

--device.driverstate.speedDifferenceChangePerceptionThreshold FLOAT
    Base threshold for recognizing changes in the speed difference (threshold also scales with distance).

--device.driverstate.headwayChangePerceptionThreshold FLOAT
    Base threshold for recognizing changes in the headway (threshold also scales with distance).

--device.driverstate.minAwareness FLOAT
    Minimal admissible value for the driver's awareness.

--device.driverstate.maximalReactionTime FLOAT
    Maximal reaction time (~action step length) induced by decreased awareness level (reached for awareness=minAwareness).

  Bluelight Device Options:

--device.bluelight.probability FLOAT
    The probability for a vehicle to have a 'bluelight' device

--device.bluelight.explicit STR[]
    Assign a 'bluelight' device to named vehicles

--device.bluelight.deterministic
    The 'bluelight' devices are set deterministic using a fraction of 1000

--device.bluelight.reactiondist FLOAT
    Set the distance at which other drivers react to the blue light and siren sound

--device.bluelight.mingapfactor FLOAT
    Reduce the minGap for reacting vehicles by the given factor

  FCD Device Options:

--device.fcd.probability FLOAT
    The probability for a vehicle to have a 'fcd' device

--device.fcd.explicit STR[]
    Assign a 'fcd' device to named vehicles

--device.fcd.deterministic
    The 'fcd' devices are set deterministic using a fraction of 1000

--device.fcd.begin STR
    Recording begin time for FCD-data

--device.fcd.period STR
    Recording period for FCD-data

--device.fcd.radius FLOAT
    Record objects in a radius around equipped vehicles

--person-device.fcd.probability FLOAT
    The probability for a person to have a 'fcd' device

--person-device.fcd.explicit STR[]
    Assign a 'fcd' device to named persons

--person-device.fcd.deterministic
    The 'fcd' devices are set deterministic using a fraction of 1000

--person-device.fcd.period STR
    Recording period for FCD-data

  ElecHybrid Device Options:

--device.elechybrid.probability FLOAT
    The probability for a vehicle to have a 'elechybrid' device

--device.elechybrid.explicit STR[]
    Assign a 'elechybrid' device to named vehicles

--device.elechybrid.deterministic
    The 'elechybrid' devices are set deterministic using a fraction of 1000

  Taxi Device Options:

--device.taxi.probability FLOAT
    The probability for a vehicle to have a 'taxi' device

--device.taxi.explicit STR[]
    Assign a 'taxi' device to named vehicles

--device.taxi.deterministic
    The 'taxi' devices are set deterministic using a fraction of 1000

--device.taxi.dispatch-algorithm STR
    The dispatch algorithm [greedy|greedyClosest|greedyShared|routeExtension|traci]

--device.taxi.dispatch-algorithm.output FILE
    Write information from the dispatch algorithm to FILE

--device.taxi.dispatch-algorithm.params STR
    Load dispatch algorithm parameters in format KEY1:VALUE1[,KEY2:VALUE]

--device.taxi.dispatch-period TIME
    The period between successive calls to the dispatcher

--device.taxi.dispatch-keep-unreachable TIME
    The time before aborting unreachable reservations

--device.taxi.idle-algorithm STR
    The behavior of idle taxis [stop|randomCircling|taxistand]

--device.taxi.idle-algorithm.output FILE
    Write information from the idling algorithm to FILE

  GLOSA Device Options:

--device.glosa.probability FLOAT
    The probability for a vehicle to have a 'glosa' device

--device.glosa.explicit STR[]
    Assign a 'glosa' device to named vehicles

--device.glosa.deterministic
    The 'glosa' devices are set deterministic using a fraction of 1000

--device.glosa.range FLOAT
    The communication range to the traffic light

--device.glosa.max-speedfactor FLOAT
    The maximum speed factor when approaching a green light

--device.glosa.min-speed FLOAT
    Minimum speed when coasting towards a red light

--device.glosa.add-switchtime FLOAT
    Additional time the vehicle shall need to reach the intersection after the signal turns green

--device.glosa.use-queue
    Use queue in front of the tls for GLOSA calculation

--device.glosa.override-safety
    Override safety features - ignore the current light state, always follow GLOSA's predicted state

--device.glosa.ignore-cfmodel
    Vehicles follow a perfect speed calculation - ignore speed calculations from the CF model if not safety critical

  Tripinfo Device Options:

--device.tripinfo.probability FLOAT
    The probability for a vehicle to have a 'tripinfo' device

--device.tripinfo.explicit STR[]
    Assign a 'tripinfo' device to named vehicles

--device.tripinfo.deterministic
    The 'tripinfo' devices are set deterministic using a fraction of 1000

  Vehroutes Device Options:

--device.vehroute.probability FLOAT
    The probability for a vehicle to have a 'vehroute' device

--device.vehroute.explicit STR[]
    Assign a 'vehroute' device to named vehicles

--device.vehroute.deterministic
    The 'vehroute' devices are set deterministic using a fraction of 1000

  Friction Device Options:

--device.friction.probability FLOAT
    The probability for a vehicle to have a 'friction' device

--device.friction.explicit STR[]
    Assign a 'friction' device to named vehicles

--device.friction.deterministic
    The 'friction' devices are set deterministic using a fraction of 1000

--device.friction.stdDev FLOAT
    The measurement noise parameter which can be applied to the friction device

--device.friction.offset FLOAT
    The measurement offset parameter which can be applied to the friction device -> e.g. to force false measurements

  FCD Replay Device Options:

--device.fcd-replay.probability FLOAT
    The probability for a vehicle to have a 'fcd-replay' device

--device.fcd-replay.explicit STR[]
    Assign a 'fcd-replay' device to named vehicles

--device.fcd-replay.deterministic
    The 'fcd-replay' devices are set deterministic using a fraction of 1000

--device.fcd-replay.file FILE
    FCD file to read

  TraCI Server Options:

--remote-port INT
    Enables TraCI Server if set

--num-clients INT
    Expected number of connecting clients

  Mesoscopic Options:

--mesosim
    Enables mesoscopic simulation

--meso-edgelength FLOAT
    Length of an edge segment in mesoscopic simulation

--meso-tauff TIME
    Factor for calculating the net free-free headway time

--meso-taufj TIME
    Factor for calculating the net free-jam headway time

--meso-taujf TIME
    Factor for calculating the jam-free headway time

--meso-taujj TIME
    Factor for calculating the jam-jam headway time

--meso-jam-threshold FLOAT
    Minimum percentage of occupied space to consider a segment jammed. A negative argument causes thresholds to be computed based on edge speed and tauff (default)

--meso-multi-queue
    Enable multiple queues at edge ends

--meso-lane-queue
    Enable separate queues for every lane

--meso-ignore-lanes-by-vclass STR[]
    Do not build queues (or reduce capacity) for lanes allowing only the given vclasses

--meso-junction-control
    Enable mesoscopic traffic light and priority junction handling

--meso-junction-control.limited
    Enable mesoscopic traffic light and priority junction handling for saturated links. This prevents faulty traffic lights from hindering flow in low-traffic situations

--meso-tls-penalty FLOAT
    Apply scaled travel time penalties when driving across tls controlled junctions based on green split instead of checking actual phases

--meso-tls-flow-penalty FLOAT
    Apply scaled headway penalties when driving across tls controlled junctions based on green split instead of checking actual phases

--meso-minor-penalty TIME
    Apply fixed time penalty when driving across a minor link. When using --meso-junction-control.limited, the penalty is not applied whenever limited control is active.

--meso-overtaking
    Enable mesoscopic overtaking

--meso-recheck TIME
    Time interval for rechecking insertion into the next segment after failure

  Random Number Options:

--random
    Initialises the random number generator with the current system time

--seed INT
    Initialises the random number generator with the given value

--thread-rngs INT
    Number of pre-allocated random number generators to ensure repeatable multi-threaded simulations (should be at least the number of threads for repeatable simulations).

  GUI Only Options:

-g, --gui-settings-file FILE
    Load visualisation settings from FILE

-Q, --quit-on-end
    Quits the GUI when the simulation stops

-G, --game
    Start the GUI in gaming mode

--game.mode STR
    Select the game type ('tls', 'drt')

-S, --start
    Start the simulation after loading

-d, --delay FLOAT
    Use FLOAT in ms as delay between simulation steps

-B, --breakpoints STR[]
    Use TIME[] as times when the simulation should halt

--edgedata-files FILE
    Load edge/lane weights for visualization from FILE

-N, --alternative-net-file FILE
    Load a secondary road network for abstract visualization from FILE

--selection-file FILE
    Load pre-selected elements from FILE

-D, --demo
    Restart the simulation after ending (demo mode)

-T, --disable-textures
    Do not load background pictures

--registry-viewport
    Load current viewport from registry

--window-size STR[]
    Create initial window with the given x,y size

--window-pos STR[]
    Create initial window at the given x,y position

--tracker-interval TIME
    The aggregation period for value tracker windows

--osg-view
    Start with an OpenSceneGraph view instead of the regular 2D view

--gui-testing
    Enable overlay for screen recognition

--gui-testing-debug
    Enable output messages during GUI-Testing

--gui-testing.setting-output FILE
    Save gui settings in the given settings output file

EXAMPLES

    sumo-gui -b 0 -e 1000 -n net.xml -r routes.xml

    start a simulation from time 0 to 1000 with given net and routes

    sumo-gui -c munich_config.cfg

    start with a configuration file

    sumo-gui --help

    print help

REPORTING BUGS
Report bugs at <https://github.com/eclipse-sumo/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-6.8.0-90-generic x86_64 GNU 15.2.0 None FMI Proj GUI Intl SWIG Eigen GDAL FFmpeg OSG GL2PS
    Copyright (C) 2001-2025 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO GUI 1.25.0 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later